> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# List Form Submissions

GET https://api.webflow.com/v2/sites/{site_id}/forms/{form_id}/submissions

List form submissions for a given form ID within a specific site.

Use the [List Form Submissions by Site endpoint](/data/reference/forms/form-submissions/list-submissions-by-site) to list form submissions for a given site with the ability to filter by a `formElementId`.

Required scope | `forms:read`


Reference: https://developers.webflow.com/data/reference/forms/form-submissions/list-submissions

## Authentication

- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site
- `form_id` (string, required) — Unique identifier for a Form

### Query parameters

- `offset` (integer, optional) — Offset used for pagination if the results have more than limit records
- `limit` (integer, optional) — Maximum number of records to be returned (max limit: 100)

## Response

### 200

Request was successful

- `formSubmissions` (list of object, optional)
  - `id` (string, optional) — The unique ID of the Form submission
  - `displayName` (string, optional) — The Form name displayed on the site
  - `siteId` (string, optional) — The unique ID of the Site the Form belongs to
  - `workspaceId` (string, optional) — The unique ID of the Workspace the Site belongs to
  - `dateSubmitted` (string, optional) — Date that the Form was submitted on
  - `formResponse` (object, optional) — The data submitted in the Form
  - `localeId` (string, optional, nullable) — The ID of the locale the form was submitted from. `null` for primary-locale submissions or sites without localization.
- `pagination` (object, optional) — Pagination object
  - `limit` (integer, required) — The limit used for pagination
  - `offset` (integer, required) — The offset used for pagination
  - `total` (integer, required) — The total number of records

## Examples

**Response**

```json
{
  "formSubmissions": [
    {
      "id": "6321ca84df3949bfc6752327",
      "displayName": "Sample Form",
      "siteId": "62749158efef318abc8d5a0f",
      "workspaceId": "62749158efef318abc8d5a0f",
      "dateSubmitted": "2022-09-14T12:35:16.117Z",
      "formResponse": {
        "First Name": "Arthur",
        "Last Name": "Dent"
      },
      "localeId": "6a0cb90f3ecc9d3d47ca8b5b",
      "formId": "6321ca84df3949bfc6752327"
    },
    {
      "id": "660d64fabf6e0a0d4edab981",
      "displayName": "Sample Form",
      "siteId": "62749158efef318abc8d5a0f",
      "workspaceId": "62749158efef318abc8d5a0f",
      "dateSubmitted": "2022-09-14T12:35:16.117Z",
      "formResponse": {
        "First Name": "Ford",
        "Last Name": "Prefect"
      },
      "localeId": null,
      "formId": "6321ca84df3949bfc6752327"
    }
  ],
  "pagination": {
    "limit": 25,
    "offset": 0,
    "total": 2
  }
}
```

**SDK Code**

```typescript
import { WebflowClient } from "webflow-api";

async function main() {
    const client = new WebflowClient({
        accessToken: "YOUR_TOKEN_HERE",
    });
    await client.sites.forms.listSubmissions("580e63e98c9a982ac9b8b741", "580e63e98c9a982ac9b8b741", {
        offset: 0,
        limit: 100,
    });
}
main();

```

```python
from webflow import Webflow

client = Webflow(
    access_token="YOUR_TOKEN_HERE",
)

client.sites.forms.list_submissions(
    site_id="580e63e98c9a982ac9b8b741",
    form_id="580e63e98c9a982ac9b8b741",
    offset=0,
    limit=100,
)

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/forms/580e63e98c9a982ac9b8b741/submissions?offset=0&limit=100"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/forms/580e63e98c9a982ac9b8b741/submissions?offset=0&limit=100")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/forms/580e63e98c9a982ac9b8b741/submissions?offset=0&limit=100")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/forms/580e63e98c9a982ac9b8b741/submissions?offset=0&limit=100', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/forms/580e63e98c9a982ac9b8b741/submissions?offset=0&limit=100");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/forms/580e63e98c9a982ac9b8b741/submissions?offset=0&limit=100")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```